<Type Name="DbDataAdapter" FullName="System.Data.Common.DbDataAdapter">
  <TypeSignature Language="C#" Value="public abstract class DbDataAdapter : System.Data.Common.DataAdapter, IComponent, IDisposable, IDataAdapter, ICloneable" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System.Data</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Data.Common.DataAdapter</BaseTypeName>
  </Base>
  <Interfaces>
    <Interface>
      <InterfaceName>System.ComponentModel.IComponent</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.IDisposable</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.Data.IDataAdapter</InterfaceName>
    </Interface>
    <Interface>
      <InterfaceName>System.ICloneable</InterfaceName>
    </Interface>
  </Interfaces>
  <Attributes />
  <Members>
    <Member MemberName="DefaultSourceTableName">
      <MemberSignature Language="C#" Value="public static string DefaultSourceTableName;" />
      <MemberType>Field</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Update">
      <MemberSignature Language="C#" Value="protected virtual int Update (Data.DataRow [] dataRows, DataTableMapping tableMapping);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataRows" Type="System.Data.DataRow[]" />
		<Parameter Name="tableMapping" Type="System.Data.Common.DataTableMapping" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataRows">To be added: an object of type 'Data.DataRow []'</param>
        <param name="tableMapping">To be added: an object of type 'DataTableMapping'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OnRowUpdating">
      <MemberSignature Language="C#" Value="protected virtual void OnRowUpdating (RowUpdatingEventArgs value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.Data.Common.RowUpdatingEventArgs" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'RowUpdatingEventArgs'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OnRowUpdated">
      <MemberSignature Language="C#" Value="protected virtual void OnRowUpdated (RowUpdatedEventArgs value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.Data.Common.RowUpdatedEventArgs" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'RowUpdatedEventArgs'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="OnFillError">
      <MemberSignature Language="C#" Value="protected virtual void OnFillError (Data.FillErrorEventArgs value);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="value" Type="System.Data.FillErrorEventArgs" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'Data.FillErrorEventArgs'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Fill">
      <MemberSignature Language="C#" Value="protected virtual int Fill (Data.DataTable dataTable, Data.IDataReader dataReader);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataTable" Type="System.Data.DataTable" />
		<Parameter Name="dataReader" Type="System.Data.IDataReader" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataTable">To be added: an object of type 'Data.DataTable'</param>
        <param name="dataReader">To be added: an object of type 'Data.IDataReader'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Fill">
      <MemberSignature Language="C#" Value="protected virtual int Fill (Data.DataSet dataSet, string srcTable, Data.IDataReader dataReader, int startRecord, int maxRecords);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
		<Parameter Name="srcTable" Type="System.String" />
		<Parameter Name="dataReader" Type="System.Data.IDataReader" />
		<Parameter Name="startRecord" Type="System.Int32" />
		<Parameter Name="maxRecords" Type="System.Int32" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'Data.DataSet'</param>
        <param name="srcTable">To be added: an object of type 'string'</param>
        <param name="dataReader">To be added: an object of type 'Data.IDataReader'</param>
        <param name="startRecord">To be added: an object of type 'int'</param>
        <param name="maxRecords">To be added: an object of type 'int'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Fill">
      <MemberSignature Language="C#" Value="protected virtual int Fill (Data.DataTable dataTable, Data.IDbCommand command, Data.CommandBehavior behavior);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataTable" Type="System.Data.DataTable" />
		<Parameter Name="command" Type="System.Data.IDbCommand" />
		<Parameter Name="behavior" Type="System.Data.CommandBehavior" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataTable">To be added: an object of type 'Data.DataTable'</param>
        <param name="command">To be added: an object of type 'Data.IDbCommand'</param>
        <param name="behavior">To be added: an object of type 'Data.CommandBehavior'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Fill">
      <MemberSignature Language="C#" Value="protected virtual int Fill (Data.DataSet dataSet, int startRecord, int maxRecords, string srcTable, Data.IDbCommand command, Data.CommandBehavior behavior);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
		<Parameter Name="startRecord" Type="System.Int32" />
		<Parameter Name="maxRecords" Type="System.Int32" />
		<Parameter Name="srcTable" Type="System.String" />
		<Parameter Name="command" Type="System.Data.IDbCommand" />
		<Parameter Name="behavior" Type="System.Data.CommandBehavior" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'Data.DataSet'</param>
        <param name="startRecord">To be added: an object of type 'int'</param>
        <param name="maxRecords">To be added: an object of type 'int'</param>
        <param name="srcTable">To be added: an object of type 'string'</param>
        <param name="command">To be added: an object of type 'Data.IDbCommand'</param>
        <param name="behavior">To be added: an object of type 'Data.CommandBehavior'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FillSchema">
      <MemberSignature Language="C#" Value="protected virtual Data.DataTable FillSchema (Data.DataTable dataTable, Data.SchemaType schemaType, Data.IDbCommand command, Data.CommandBehavior behavior);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataTable</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataTable" Type="System.Data.DataTable" />
		<Parameter Name="schemaType" Type="System.Data.SchemaType" />
		<Parameter Name="command" Type="System.Data.IDbCommand" />
		<Parameter Name="behavior" Type="System.Data.CommandBehavior" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataTable">To be added: an object of type 'Data.DataTable'</param>
        <param name="schemaType">To be added: an object of type 'Data.SchemaType'</param>
        <param name="command">To be added: an object of type 'Data.IDbCommand'</param>
        <param name="behavior">To be added: an object of type 'Data.CommandBehavior'</param>
        <returns>To be added: an object of type 'Data.DataTable'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FillSchema">
      <MemberSignature Language="C#" Value="protected virtual Data.DataTable [] FillSchema (Data.DataSet dataSet, Data.SchemaType schemaType, Data.IDbCommand command, string srcTable, Data.CommandBehavior behavior);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataTable[]</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
		<Parameter Name="schemaType" Type="System.Data.SchemaType" />
		<Parameter Name="command" Type="System.Data.IDbCommand" />
		<Parameter Name="srcTable" Type="System.String" />
		<Parameter Name="behavior" Type="System.Data.CommandBehavior" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'Data.DataSet'</param>
        <param name="schemaType">To be added: an object of type 'Data.SchemaType'</param>
        <param name="command">To be added: an object of type 'Data.IDbCommand'</param>
        <param name="srcTable">To be added: an object of type 'string'</param>
        <param name="behavior">To be added: an object of type 'Data.CommandBehavior'</param>
        <returns>To be added: an object of type 'Data.DataTable []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateRowUpdatingEvent">
      <MemberSignature Language="C#" Value="protected virtual RowUpdatingEventArgs CreateRowUpdatingEvent (Data.DataRow dataRow, Data.IDbCommand command, Data.StatementType statementType, DataTableMapping tableMapping);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.Common.RowUpdatingEventArgs</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataRow" Type="System.Data.DataRow" />
		<Parameter Name="command" Type="System.Data.IDbCommand" />
		<Parameter Name="statementType" Type="System.Data.StatementType" />
		<Parameter Name="tableMapping" Type="System.Data.Common.DataTableMapping" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataRow">To be added: an object of type 'Data.DataRow'</param>
        <param name="command">To be added: an object of type 'Data.IDbCommand'</param>
        <param name="statementType">To be added: an object of type 'Data.StatementType'</param>
        <param name="tableMapping">To be added: an object of type 'DataTableMapping'</param>
        <returns>To be added: an object of type 'RowUpdatingEventArgs'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CreateRowUpdatedEvent">
      <MemberSignature Language="C#" Value="protected virtual RowUpdatedEventArgs CreateRowUpdatedEvent (Data.DataRow dataRow, Data.IDbCommand command, Data.StatementType statementType, DataTableMapping tableMapping);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.Common.RowUpdatedEventArgs</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataRow" Type="System.Data.DataRow" />
		<Parameter Name="command" Type="System.Data.IDbCommand" />
		<Parameter Name="statementType" Type="System.Data.StatementType" />
		<Parameter Name="tableMapping" Type="System.Data.Common.DataTableMapping" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataRow">To be added: an object of type 'Data.DataRow'</param>
        <param name="command">To be added: an object of type 'Data.IDbCommand'</param>
        <param name="statementType">To be added: an object of type 'Data.StatementType'</param>
        <param name="tableMapping">To be added: an object of type 'DataTableMapping'</param>
        <returns>To be added: an object of type 'RowUpdatedEventArgs'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Update">
      <MemberSignature Language="C#" Value="public virtual int Update (Data.DataSet dataSet);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'Data.DataSet'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetFillParameters">
      <MemberSignature Language="C#" Value="public virtual Data.IDataParameter [] GetFillParameters ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.IDataParameter[]</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'Data.IDataParameter []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Fill">
      <MemberSignature Language="C#" Value="public virtual int Fill (Data.DataSet dataSet);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'Data.DataSet'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FillSchema">
      <MemberSignature Language="C#" Value="public virtual Data.DataTable [] FillSchema (Data.DataSet dataSet, Data.SchemaType schemaType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataTable[]</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
		<Parameter Name="schemaType" Type="System.Data.SchemaType" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'Data.DataSet'</param>
        <param name="schemaType">To be added: an object of type 'Data.SchemaType'</param>
        <returns>To be added: an object of type 'Data.DataTable []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Dispose">
      <MemberSignature Language="C#" Value="protected virtual void Dispose (bool disposing);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="disposing" Type="System.Boolean" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="disposing">To be added: an object of type 'bool'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FillSchema">
      <MemberSignature Language="C#" Value="public Data.DataTable FillSchema (Data.DataTable dataTable, Data.SchemaType schemaType);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataTable</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataTable" Type="System.Data.DataTable" />
		<Parameter Name="schemaType" Type="System.Data.SchemaType" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataTable">To be added: an object of type 'Data.DataTable'</param>
        <param name="schemaType">To be added: an object of type 'Data.SchemaType'</param>
        <returns>To be added: an object of type 'Data.DataTable'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FillSchema">
      <MemberSignature Language="C#" Value="public Data.DataTable [] FillSchema (Data.DataSet dataSet, Data.SchemaType schemaType, string srcTable);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Data.DataTable[]</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
		<Parameter Name="schemaType" Type="System.Data.SchemaType" />
		<Parameter Name="srcTable" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'Data.DataSet'</param>
        <param name="schemaType">To be added: an object of type 'Data.SchemaType'</param>
        <param name="srcTable">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'Data.DataTable []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Fill">
      <MemberSignature Language="C#" Value="public int Fill (Data.DataTable dataTable);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataTable" Type="System.Data.DataTable" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataTable">To be added: an object of type 'Data.DataTable'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Fill">
      <MemberSignature Language="C#" Value="public int Fill (Data.DataSet dataSet, string srcTable);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
		<Parameter Name="srcTable" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'Data.DataSet'</param>
        <param name="srcTable">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Fill">
      <MemberSignature Language="C#" Value="public int Fill (Data.DataSet dataSet, int startRecord, int maxRecords, string srcTable);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
		<Parameter Name="startRecord" Type="System.Int32" />
		<Parameter Name="maxRecords" Type="System.Int32" />
		<Parameter Name="srcTable" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'Data.DataSet'</param>
        <param name="startRecord">To be added: an object of type 'int'</param>
        <param name="maxRecords">To be added: an object of type 'int'</param>
        <param name="srcTable">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Update">
      <MemberSignature Language="C#" Value="public int Update (Data.DataRow [] dataRows);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataRows" Type="System.Data.DataRow[]" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataRows">To be added: an object of type 'Data.DataRow []'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Update">
      <MemberSignature Language="C#" Value="public int Update (Data.DataTable dataTable);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataTable" Type="System.Data.DataTable" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataTable">To be added: an object of type 'Data.DataTable'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Update">
      <MemberSignature Language="C#" Value="public int Update (Data.DataSet dataSet, string srcTable);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Int32</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="dataSet" Type="System.Data.DataSet" />
		<Parameter Name="srcTable" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="dataSet">To be added: an object of type 'Data.DataSet'</param>
        <param name="srcTable">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'int'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="protected DbDataAdapter ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'DbDataAdapter'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="FillError">
      <MemberSignature Language="C#" Value="public event Data.FillErrorEventHandler FillError;" />
      <MemberType>Event</MemberType>
      <ReturnValue><ReturnType>System.Data.FillErrorEventHandler</ReturnType></ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
